﻿<?xml version='1.0' encoding='UTF-8'?>
<Library LVVersion="9008000">
	<Property Name="Alarm Database Computer" Type="Str">localhost</Property>
	<Property Name="Alarm Database Name" Type="Str">E__Program_Files_National_Instruments_LabVIEW_8_2_data</Property>
	<Property Name="Alarm Database Path" Type="Str">E:\Program Files\National Instruments\LabVIEW 8.2\data</Property>
	<Property Name="Data Lifespan" Type="UInt">3650</Property>
	<Property Name="Database Computer" Type="Str">localhost</Property>
	<Property Name="Database Name" Type="Str">E__Program_Files_National_Instruments_LabVIEW_8_2_data</Property>
	<Property Name="Database Path" Type="Str">E:\Program Files\National Instruments\LabVIEW 8.2\data</Property>
	<Property Name="Enable Alarms Logging" Type="Bool">false</Property>
	<Property Name="Enable Data Logging" Type="Bool">false</Property>
	<Property Name="NI.Lib.Description" Type="Str">Multi channel scaler SR430 from Stanford Research Systems. This class uses a dedicated instrument driver. The communication with the instrument is based on VISA. This class finally talks to a VISA-&gt;GPIB driver that must be installed on the system.

This class is based on the MCSBase class contained in the application base classes. Please note, that a dedicated GUI exists already via the application base classes. The easiest way accessing the GUI is by adding an object of the SR430 class to a GeneralObjectGUI, double-click will open the GUI.

author: Dietrich Beck, GSI
maintainer: Dietrich Beck, GSI

License Agreement for this software:

Copyright (C)
Gesellschaft für Schwerionenforschung, GSI
Planckstr. 1
64291 Darmstadt
Germany

Contact: D.Beck@gsi.de 

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the license, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General License for more details (http://www.gnu.org).

Gesellschaft für Schwerionenforschung, GSI
Planckstr. 1, 64291 Darmstadt, Germany
For all questions and ideas contact: M.Richter@gsi.de, H.Brand@gsi.de or D.Beck@gsi.de.
Last update: 16-JUN-2004

INFO2SF</Property>
	<Property Name="NI.Lib.HelpPath" Type="Str"></Property>
	<Property Name="NI.Lib.Icon" Type="Bin">#1#!!!!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!*V!!!*Q(C=\:9RDB."%%7`%5C%7))1A4R(K!NAS1&gt;A!_?1V"7='AGUPE)&amp;8-!"&amp;X#U?6X"%C?Q#-H-GX;.B7&amp;:)XF8)K"H;\&lt;H6V@6G_[?FK87HEK0N4`8&gt;'@\/X_@JHL(J`X0`G&lt;\[BX[_V`D4W*0`3VC#,UTPL`^8P`3^`PP\^O8?`&amp;XF`G\LPOTPWP_\A*`&gt;YH`W'\XX^9O^Z``P*&gt;H"TVQEU&lt;$6ZF99)Z:?\N^IC&gt;[IC&gt;[IC&gt;[I!&gt;[I!&gt;[I!?[ITO[ITO[ITO[I2O[I2O[I&gt;NQ6K!,8?CS&gt;F)ER:.#3&gt;)E14)9&amp;#7XB#@B38A3(B[6]#1]#5`#E`!Q2!F0QJ0Q*$Q*$W&amp;+?"+?B#@B38B)V5CS8?DQ*$SE6]!4]!1]!5`!1UE&amp;0!&amp;!5#R)(#1"1Y%T[!1]!5`!1V="4]!4]!1]!1^O"4Q"4]!4]!1]B,2:C5&lt;48_DQE%9/D]0D]$A]$A_JZ@!Y0![0Q_0Q5%Y/D]0D1$A&amp;H?1AS!FS"DA0$I`$QT]Z0![0Q_0Q/$SYWAJZGZG?JL`1Y4&amp;Y$"[$R_!R?%ABA]@A-8A-(I/(N$*Y$"[$R_!R?#AFA]@A-8A-%+-IZ75E-Q+.19:A]0$8&gt;IOV69J'9OWK4`/Q565&lt;5,7R6"N'N2&amp;5#[R;/.7#K#:;.9'KC6'^M/J&amp;6)#KQKK%KI(;=&gt;^C'WS.L&lt;!&amp;.M&gt;GW!1&lt;^[(X0(#XWWG\X7KTW7C^8GOV7GGR7'A_HWMWGWESG7A](B^0K^&gt;=BT9;TK5F`&gt;[OX\_]_8DV:(J^N:V_?0&gt;J?PXW]]XA/WP0"HN4^H7U@0\N9#`+8HU`C4G=3``#W;B(RV]L.5=`!"#J2_)!!!!!</Property>
	<Property Name="NI.Lib.Version" Type="Str">1.18.0.0</Property>
	<Property Name="SaveStatePeriod" Type="UInt">0</Property>
	<Property Name="Serialized ACL" Type="Bin">#1#!!!!!!!)!"1!&amp;!!!A1%!!!@````]!!".V&lt;H.J:WZF:#"C?82F)'&amp;S=G&amp;Z!!%!!1!!!!A)!!!!#!!!!!!!!!!</Property>
	<Property Name="Use Data Logging Database" Type="Bool">true</Property>
	<Item Name="public" Type="Folder">
		<Property Name="NI.LibItem.Scope" Type="Int">1</Property>
		<Item Name="SR430.clear records.vi" Type="VI" URL="../SR430.clear records.vi"/>
		<Item Name="SR430.constructor.vi" Type="VI" URL="../SR430.constructor.vi"/>
		<Item Name="SR430.destructor.vi" Type="VI" URL="../SR430.destructor.vi"/>
		<Item Name="SR430.get bin data.vi" Type="VI" URL="../SR430.get bin data.vi"/>
		<Item Name="SR430.get bin width.vi" Type="VI" URL="../SR430.get bin width.vi"/>
		<Item Name="SR430.get bins per record.vi" Type="VI" URL="../SR430.get bins per record.vi"/>
		<Item Name="SR430.get data to modify.vi" Type="VI" URL="../SR430.get data to modify.vi"/>
		<Item Name="SR430.get discriminator level.vi" Type="VI" URL="../SR430.get discriminator level.vi"/>
		<Item Name="SR430.get discriminator slope.vi" Type="VI" URL="../SR430.get discriminator slope.vi"/>
		<Item Name="SR430.get library version.vi" Type="VI" URL="../SR430.get library version.vi"/>
		<Item Name="SR430.get records per scan.vi" Type="VI" URL="../SR430.get records per scan.vi"/>
		<Item Name="SR430.get scan status.vi" Type="VI" URL="../SR430.get scan status.vi"/>
		<Item Name="SR430.get trig offset.vi" Type="VI" URL="../SR430.get trig offset.vi"/>
		<Item Name="SR430.get trigger level.vi" Type="VI" URL="../SR430.get trigger level.vi"/>
		<Item Name="SR430.get trigger slope.vi" Type="VI" URL="../SR430.get trigger slope.vi"/>
		<Item Name="SR430.Get Trigger Offset us.vi" Type="VI" URL="../SR430.Get Trigger Offset us.vi"/>
		<Item Name="SR430.init.vi" Type="VI" URL="../SR430.init.vi"/>
		<Item Name="SR430.read data.vi" Type="VI" URL="../SR430.read data.vi"/>
		<Item Name="SR430.Reset.vi" Type="VI" URL="../SR430.Reset.vi"/>
		<Item Name="SR430.set bin width.vi" Type="VI" URL="../SR430.set bin width.vi"/>
		<Item Name="SR430.set bins per record.vi" Type="VI" URL="../SR430.set bins per record.vi"/>
		<Item Name="SR430.set discriminator level.vi" Type="VI" URL="../SR430.set discriminator level.vi"/>
		<Item Name="SR430.set discriminator slope.vi" Type="VI" URL="../SR430.set discriminator slope.vi"/>
		<Item Name="SR430.set modified data.vi" Type="VI" URL="../SR430.set modified data.vi"/>
		<Item Name="SR430.set records per scan.vi" Type="VI" URL="../SR430.set records per scan.vi"/>
		<Item Name="SR430.set trigger slope.vi" Type="VI" URL="../SR430.set trigger slope.vi"/>
		<Item Name="SR430.set trigger level.vi" Type="VI" URL="../SR430.set trigger level.vi"/>
		<Item Name="SR430.set trig offset.vi" Type="VI" URL="../SR430.set trig offset.vi"/>
		<Item Name="SR430.Set Trigger Offset us.vi" Type="VI" URL="../SR430.Set Trigger Offset us.vi"/>
		<Item Name="SR430.start scan.vi" Type="VI" URL="../SR430.start scan.vi"/>
		<Item Name="SR430.stop scan.vi" Type="VI" URL="../SR430.stop scan.vi"/>
	</Item>
	<Item Name="protected" Type="Folder">
		<Property Name="NI.LibItem.Scope" Type="Int">1</Property>
		<Item Name="SR430.get i attribute.vi" Type="VI" URL="../SR430.get i attribute.vi"/>
		<Item Name="SR430.set i attribute.vi" Type="VI" URL="../SR430.set i attribute.vi"/>
		<Item Name="SR430.ProcCases.vi" Type="VI" URL="../SR430.ProcCases.vi"/>
		<Item Name="SR430.ProcPeriodic.vi" Type="VI" URL="../SR430.ProcPeriodic.vi"/>
	</Item>
	<Item Name="private" Type="Folder">
		<Property Name="NI.LibItem.Scope" Type="Int">2</Property>
		<Item Name="SR430.byte array to waveform.vi" Type="VI" URL="../SR430.byte array to waveform.vi"/>
		<Item Name="SR430.get address.vi" Type="VI" URL="../SR430.get address.vi"/>
		<Item Name="SR430.i attribute.ctl" Type="VI" URL="../SR430.i attribute.ctl"/>
		<Item Name="SR430.i attribute.vi" Type="VI" URL="../SR430.i attribute.vi"/>
		<Item Name="SR430.ProcEvents.vi" Type="VI" URL="../SR430.ProcEvents.vi"/>
	</Item>
	<Item Name="inheritance" Type="Folder">
		<Property Name="NI.LibItem.Scope" Type="Int">1</Property>
		<Item Name="PUBLIC.constructor.vi" Type="VI" URL="../inheritance/PUBLIC.constructor.vi"/>
		<Item Name="PUBLIC.destructor.vi" Type="VI" URL="../inheritance/PUBLIC.destructor.vi"/>
		<Item Name="PRIVATE.ProcCases.vi" Type="VI" URL="../inheritance/PRIVATE.ProcCases.vi"/>
	</Item>
	<Item Name="SR430.contents.vi" Type="VI" URL="../SR430.contents.vi"/>
	<Item Name="SR430_db.ini" Type="Document" URL="../SR430_db.ini"/>
	<Item Name="SR430_mapping.ini" Type="Document" URL="../SR430_mapping.ini"/>
	<Item Name="SR430.gog" Type="Document" URL="../SR430.gog"/>
</Library>
